<?php
global $authordata;
?>
<?php if(is_array($instructor_carousel) && !empty($instructor_carousel)){ ?>
   <div class="instructor-list row">
      <?php foreach ($instructor_carousel as $instructor) : ?>
         <div class="col-md-4 col-lg-<?php echo esc_attr($post_col); ?>">
            <div class="instructor-list-wrap">
               <?php
               $user = get_user_by('id', $instructor['instructor_ids']);
               if($user){
                  $user_social_link = get_the_author_meta('user_social_link', $instructor['instructor_ids']);
                  $profile_url = tutor_utils()->profile_url($instructor['instructor_ids']);            
                  $designation = get_the_author_meta('turitor_user_designation', $instructor['instructor_ids']);            
                  ?>
                  <div class="single-instructor-item">
                     <div class="insturctor-img-area normal">
                        <div class="instructor-profile-pic round">
                           <?php if (isset($instructor['instructor_ids']) && $instructor['instructor_ids'] != '') { ?>
                              <img src="<?php echo esc_url(get_avatar_url($instructor['instructor_ids'])); ?> ">
                           <?php } ?>
                        </div>
                     </div>
                     <div class="instructor-profile-content normal">
                        <?php if (isset($user->display_name)) { ?>
                           <h2 class="instructor-name">
                              <a href="<?php echo esc_url($profile_url); ?>"> <?php echo  esc_html($user->display_name); ?></a>

                           </h2>
                        <?php } ?>

                        <?php if (isset($designation)) : ?>
                           <p class="instructor-designation">
                              <?php echo esc_html($designation); ?>
                           </p>
                        <?php endif; ?>
                     </div>

                     <!-- hover item -->
                     <div class="single-instructor-item hover-item">
                        <div class="insturctor-img-area">
                           <div class="instructor-profile-pic">
                           <?php if (isset($instructor['instructor_ids']) && $instructor['instructor_ids'] != '') { ?>
                              <img src="<?php echo esc_url(get_avatar_url($instructor['instructor_ids'])); ?> ">
                           <?php } ?>
                           </div>
                           <div class="instructor-profile-content">
                              <?php if (isset($user->display_name)) { ?>
                                 <h2 class="instructor-name">
                                    <a href="<?php echo esc_url($profile_url); ?>"> <?php echo  esc_html($user->display_name); ?></a>

                                 </h2>
                              <?php } ?>
                              
                              <?php if (isset($designation)) : ?>
                                 <p class="instructor-designation">
                                    <?php echo esc_html($designation); ?>
                                 </p>
                              <?php endif; ?>

                              <div class="instructor-social">
                                 <?php if (is_array($user_social_link)) : ?>
                                    <?php foreach ($user_social_link as $social) :  ?>
                                       <a href="<?php echo esc_url($social['url']); ?>"><i class='<?php echo esc_attr($social['icon']); ?>'> </i></a>
                                    <?php endforeach; ?>
                                 <?php endif; ?>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               <?php } ?>
            </div>
         </div>
      <?php endforeach; ?>
   </div>
<?php } ?>