<?php if (!defined('ABSPATH')) die('Direct access forbidden.');
/**
 * customizer option: banner
 */

 
$options = [
    'banner_setting' => [
        'title' => esc_html__('Banner Settings', 'turitor'),

        'options' => [
            'page_banner_setting' => [
                'type'        => 'popup',
                'label'       => esc_html__('Page Banner settings', 'turitor'),
                'popup-title' => esc_html__('Page banner settings', 'turitor'),
                'button'      => esc_html__('Edit page Banner Button', 'turitor'),
                'size'        => 'medium', // small, medium, large
                'popup-options' => [
                    'page_show_banner' => [
                        'type'			 => 'switch',
                        'label'			 => esc_html__( 'Show banner?', 'turitor' ),
                        'desc'          => esc_html__('Show or hide the banner', 'turitor'),
                        'value'         => 'yes',
                        'left-choice'	 => [
                            'value'	 => 'yes',
                            'label'	 => esc_html__( 'Yes', 'turitor' ),
                        ],
                        'right-choice'	 => [
                            'value'	 => 'no',
                            'label'	 => esc_html__( 'No', 'turitor' ),
                        ],
                    ],
                    'page_show_breadcrumb' => [
                        'type'			 => 'switch',
                        'label'			 => esc_html__( 'Show Breadcrumb?', 'turitor' ),
                        'desc'          => esc_html__('Show or hide the Breadcrumb', 'turitor'),
                        'value'         => 'yes',
                        'left-choice'	 => [
                            'value'	 => 'yes',
                            'label'	 => esc_html__( 'Yes', 'turitor' ),
                        ],
                        'right-choice'	 => [
                            'value'	 => 'no',
                            'label'	 => esc_html__( 'No', 'turitor' ),
                        ],
                    ],
                    'banner_page_title'	 => [
                        'type'	 => 'text',
                        'label'	 => esc_html__( 'Banner title', 'turitor' ),
                        'value'  => esc_html__( '', 'turitor' ),
                    ],

                    'banner_page_image'	 =>array(
                        'label'			 => esc_html__( 'Banner image', 'turitor' ),
                        'type'			 => 'upload',
                        'images_only'	 => true,
                        'files_ext'		 => array( 'jpg', 'png', 'jpeg', 'gif', 'svg' ),
                              
                        )

                ],
            ], 
        
            'blog_banner_setting' => [
                'type'         => 'popup',
                'label'        => esc_html__('Blog Banner settings', 'turitor'),
                'popup-title'  => esc_html__('Blog banner settings', 'turitor'),
                'button'       => esc_html__('Edit Blog Banner Button', 'turitor'),
                'size'         => 'medium', // small, medium, large
                'popup-options' => [
                    'blog_show_banner' => [
                        'type'			 => 'switch',
                        'label'			 => esc_html__( 'Show banner?', 'turitor' ),
                        'desc'          => esc_html__('Show or hide the banner', 'turitor'),
                        'value'         => 'yes',
                        'left-choice'	 => [
                            'value'	 => 'yes',
                            'label'	 => esc_html__( 'Yes', 'turitor' ),
                        ],
                        'right-choice'	 => [
                            'value'	 => 'no',
                            'label'	 => esc_html__( 'No', 'turitor' ),
                        ],
                    ],
                    'blog_show_breadcrumb' => [
                        'type'			 => 'switch',
                        'label'			 => esc_html__( 'Show Breadcrumb?', 'turitor' ),
                        'desc'          => esc_html__('Show or hide the Breadcrumb', 'turitor'),
                        'value'         => 'yes',
                        'left-choice'	 => [
                            'value'	 => 'yes',
                            'label'	 => esc_html__( 'Yes', 'turitor' ),
                        ],
                        'right-choice'	 => [
                            'value'	 => 'no',
                            'label'	 => esc_html__( 'No', 'turitor' ),
                        ],
                    ],
                    'banner_blog_title'	 => [
                        'type'	 => 'text',
                        'label'	 => esc_html__( 'Banner title', 'turitor' ),
                    ],
                   
                    'banner_blog_image'	 =>array(
                        'type'  => 'upload',
                        'label' => esc_html__('Image', 'turitor'),
                        'desc'  => esc_html__('Banner blog image', 'turitor'),
                        'images_only' => true,
                        'files_ext' => array( 'PNG', 'JPEG', 'JPG','GIF'),
                              
                     
                    )

                ],
            ],

            'shop_banner_settings' => [
                'type' => 'popup',
                'label' => esc_html__('Shop banner settings', 'turitor'),
                'popup-title' => esc_html__('Shop banner settings', 'turitor'),
                'button' => esc_html__('Edit shop banner settings', 'turitor'),
                'size' => 'small', // small, medium, large
                'popup-options' => array(
                    'show' => array(
                        'type'			 => 'switch',
                        'label'			 => esc_html__( 'Show banner?', 'turitor' ),
                        'value' => 'yes',
                        'left-choice'	 => array(
                            'value'	 => 'yes',
                            'label'	 => esc_html__( 'Yes', 'turitor' ),
                        ),
                        'right-choice'	 => array(
                            'value'	 => 'no',
                            'label'	 => esc_html__( 'No', 'turitor' ),
                        ),
                    ),
                    'show_breadcrumb' => array(
                        'type'			 => 'switch',
                        'label'			 => esc_html__( 'Show breadcrumb?', 'turitor' ),
                        'value' => 'yes',
                        'left-choice'	 => array(
                            'value'	 => 'yes',
                            'label'	 => esc_html__( 'Yes', 'turitor' ),
                        ),
                        'right-choice'	 => array(
                            'value'	 => 'no',
                            'label'	 => esc_html__( 'No', 'turitor' ),
                        ),
                    ),
                    'title'		 => array(
                        'label'	 => esc_html__( 'Shop Banner title', 'turitor' ),
                        'type'	 => 'text',
                    ),
                    'single_title'		 => array(
                        'label'	 => esc_html__( 'Single Shop Banner title', 'turitor' ),
                        'type'	 => 'text',
                    ),
                    'image'			 => array(
                        'label'			 => esc_html__( 'Banner image', 'turitor' ),
                        'type'			 => 'upload',
                        'images_only'	 => true,
                        'files_ext'		 => array( 'jpg', 'png', 'jpeg', 'gif', 'svg' ),
                    ),
                ),
             ],

         
            'banner_style_settings' => [
                'type'         => 'popup',
                'label'        => esc_html__('Banner Title Style', 'turitor'),
                'popup-title'  => esc_html__('banner settings', 'turitor'),
                'button'       => esc_html__('Edit Banner Button', 'turitor'),
                'size'         => 'medium', // small, medium, large
                'popup-options' => [
                     
                  'banner_overlay_color' => [
                    'label'	        => esc_html__( 'Banner Overlay color', 'turitor' ),
                    'desc'	        => esc_html__( 'banner overlay  color.', 'turitor' ),
                    'type'	        => 'rgba-color-picker',
                    ],
                  'banner_title_color' => [
                    'label'	        => esc_html__( 'Title color', 'turitor' ),
                    'desc'	        => esc_html__( 'title color.', 'turitor' ),
                    'type'	        => 'color-picker',
                    ],
                  'banner_heighlihgt_title_color' => [
                    'label'	        => esc_html__( 'Heiglight Title color', 'turitor' ),
                    'desc'	        => esc_html__( ' Heiglight title color.', 'turitor' ),
                    'type'	        => 'color-picker',
                    ],
                
              
                ],
            ],
      

        ],
    ],
];